from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XExternalDocLinks(Protocol):
    def addDocLink(self, aDocName: str) -> XExternalDocLink: ...
